commit:     96e79c47df098f0561f5d654c9421bee616bb9ec
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 31 09:45:07 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 11 16:19:43 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96e79c47

dev-libs/beignet: Drop old

 dev-libs/beignet/Manifest                |   1 -
 dev-libs/beignet/beignet-1.3.1-r1.ebuild | 103 -------------------------------
 dev-libs/beignet/beignet-1.3.1.ebuild    | 103 -------------------------------
 3 files changed, 207 deletions(-)

diff --git a/dev-libs/beignet/Manifest b/dev-libs/beignet/Manifest
index 133395211f5..bcfd62e2505 100644
--- a/dev-libs/beignet/Manifest
+++ b/dev-libs/beignet/Manifest
@@ -1,2 +1 @@
-DIST beignet-1.3.1-source.tar.gz 1136608 BLAKE2B 
490b83b0d506c376b2ec38cb9d159c792c333d546feef2c205accbc648ae6d144a4dd829aebde1d5a5b9920d0a0c87ecf675b709543148d28b27b39be8d9c1fb
 SHA512 
727c8ce68dc39672aa37370ebf2748955925a7cfd58c970c9a641706b45cc31d4a7d3eeebc366ed32ef69add5dd36189814454e5b31f12a6f09ea1a51c810338
 DIST beignet-1.3.2-source.tar.gz 1143573 BLAKE2B 
e95e9ad352e7e695a0c56a8cea7bff312d7e1e811e17da6c744f16833130ca5339c163504afff3ed61947e752b94dc0465f6702317feb7662fb9676939838f20
 SHA512 
ed09a895c2f7e9b6e18687a899f1303dfda95e505c3c2d54bf7598cc4eba6c2fb5926589b19dd294384a4ff3f832c43235b1f03f8b7fd295cd558e78bda1400a

diff --git a/dev-libs/beignet/beignet-1.3.1-r1.ebuild 
b/dev-libs/beignet/beignet-1.3.1-r1.ebuild
deleted file mode 100644
index 577d1fc4882..00000000000
--- a/dev-libs/beignet/beignet-1.3.1-r1.ebuild
+++ /dev/null
@@ -1,103 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-CMAKE_BUILD_TYPE="Release"
-
-inherit python-any-r1 cmake-multilib flag-o-matic toolchain-funcs
-
-DESCRIPTION="OpenCL implementation for Intel GPUs"
-HOMEPAGE="https://01.org/beignet";
-
-LICENSE="LGPL-2.1+"
-SLOT="0"
-IUSE="ocl-icd ocl20"
-
-if [[ "${PV}" == "9999" ]]; then
-       inherit git-r3
-       EGIT_REPO_URI="https://anongit.freedesktop.org/git/beignet.git";
-       KEYWORDS=""
-else
-       KEYWORDS="~amd64"
-       SRC_URI="https://01.org/sites/default/files/${P}-source.tar.gz";
-       S=${WORKDIR}/Beignet-${PV}-Source
-fi
-
-COMMON="media-libs/mesa
-       sys-devel/clang:0=
-       >=sys-devel/llvm-3.6:0=
-       ocl20? ( >=sys-devel/llvm-3.9:0= )
-       >=x11-libs/libdrm-2.4.70[video_cards_intel]
-       x11-libs/libXext
-       x11-libs/libXfixes"
-RDEPEND="${COMMON}
-       app-eselect/eselect-opencl"
-DEPEND="${COMMON}
-       ${PYTHON_DEPS}
-       ocl-icd? ( dev-libs/ocl-icd )
-       virtual/pkgconfig"
-
-PATCHES=(
-       "${FILESDIR}"/no-debian-multiarch.patch
-       "${FILESDIR}"/${P}-oclicd_no_upstream_icdfile.patch
-       "${FILESDIR}"/${PN}-1.2.0_no-hardcoded-cflags.patch
-       "${FILESDIR}"/llvm-terminfo.patch
-)
-
-DOCS=(
-       docs/.
-)
-
-pkg_pretend() {
-       if [[ ${MERGE_TYPE} != "binary" ]]; then
-               if tc-is-gcc; then
-                       if [[ $(gcc-major-version) -eq 4 ]] && [[ 
$(gcc-minor-version) -lt 6 ]]; then
-                               eerror "Compilation with gcc older than 4.6 is 
not supported"
-                               die "Too old gcc found."
-                       fi
-               fi
-       fi
-}
-
-pkg_setup() {
-       python_setup
-}
-
-src_prepare() {
-       # See Bug #593968
-       append-flags -fPIC
-
-       cmake-utils_src_prepare
-       # We cannot run tests because they require permissions to access
-       # the hardware, and building them is very time-consuming.
-       cmake_comment_add_subdirectory utests
-}
-
-multilib_src_configure() {
-       VENDOR_DIR="/usr/$(get_libdir)/OpenCL/vendors/${PN}"
-
-       local mycmakeargs=(
-               -DCMAKE_INSTALL_PREFIX="${VENDOR_DIR}"
-               -DOCLICD_COMPAT=$(usex ocl-icd)
-               $(usex ocl20 "" "-DENABLE_OPENCL_20=OFF")
-       )
-
-       cmake-utils_src_configure
-}
-
-multilib_src_install() {
-       VENDOR_DIR="/usr/$(get_libdir)/OpenCL/vendors/${PN}"
-
-       cmake-utils_src_install
-
-       insinto /etc/OpenCL/vendors/
-       echo "${VENDOR_DIR}/lib/${PN}/libcl.so" > "${PN}-${ABI}.icd" || die 
"Failed to generate ICD file"
-       doins "${PN}-${ABI}.icd"
-
-       dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libOpenCL.so.1
-       dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libOpenCL.so
-       dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libcl.so.1
-       dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libcl.so
-}

diff --git a/dev-libs/beignet/beignet-1.3.1.ebuild 
b/dev-libs/beignet/beignet-1.3.1.ebuild
deleted file mode 100644
index 75330cbd42b..00000000000
--- a/dev-libs/beignet/beignet-1.3.1.ebuild
+++ /dev/null
@@ -1,103 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-CMAKE_BUILD_TYPE="Release"
-
-inherit python-any-r1 cmake-multilib flag-o-matic toolchain-funcs
-
-DESCRIPTION="OpenCL implementation for Intel GPUs"
-HOMEPAGE="https://01.org/beignet";
-
-LICENSE="LGPL-2.1+"
-SLOT="0"
-IUSE="ocl-icd ocl20"
-
-if [[ "${PV}" == "9999" ]]; then
-       inherit git-r3
-       EGIT_REPO_URI="https://anongit.freedesktop.org/git/beignet.git";
-       KEYWORDS="amd64"
-else
-       KEYWORDS="amd64"
-       SRC_URI="https://01.org/sites/default/files/${P}-source.tar.gz";
-       S=${WORKDIR}/Beignet-${PV}-Source
-fi
-
-COMMON="media-libs/mesa
-       sys-devel/clang:0=
-       >=sys-devel/llvm-3.6:0=
-       ocl20? ( >=sys-devel/llvm-3.9:0= )
-       >=x11-libs/libdrm-2.4.70[video_cards_intel]
-       x11-libs/libXext
-       x11-libs/libXfixes"
-RDEPEND="${COMMON}
-       app-eselect/eselect-opencl"
-DEPEND="${COMMON}
-       ${PYTHON_DEPS}
-       ocl-icd? ( dev-libs/ocl-icd )
-       virtual/pkgconfig"
-
-PATCHES=(
-       "${FILESDIR}"/no-debian-multiarch.patch
-       "${FILESDIR}"/${P}-oclicd_no_upstream_icdfile.patch
-       "${FILESDIR}"/${PN}-1.2.0_no-hardcoded-cflags.patch
-       "${FILESDIR}"/llvm-terminfo.patch
-)
-
-DOCS=(
-       docs/.
-)
-
-pkg_pretend() {
-       if [[ ${MERGE_TYPE} != "binary" ]]; then
-               if tc-is-gcc; then
-                       if [[ $(gcc-major-version) -eq 4 ]] && [[ 
$(gcc-minor-version) -lt 6 ]]; then
-                               eerror "Compilation with gcc older than 4.6 is 
not supported"
-                               die "Too old gcc found."
-                       fi
-               fi
-       fi
-}
-
-pkg_setup() {
-       python_setup
-}
-
-src_prepare() {
-       # See Bug #593968
-       append-flags -fPIC
-
-       cmake-utils_src_prepare
-       # We cannot run tests because they require permissions to access
-       # the hardware, and building them is very time-consuming.
-       cmake_comment_add_subdirectory utests
-}
-
-multilib_src_configure() {
-       VENDOR_DIR="/usr/$(get_libdir)/OpenCL/vendors/${PN}"
-
-       local mycmakeargs=(
-               -DCMAKE_INSTALL_PREFIX="${VENDOR_DIR}"
-               -DOCLICD_COMPAT=$(usex ocl-icd)
-               -DENABLE_OPENCL_20=$(usex ocl20)
-       )
-
-       cmake-utils_src_configure
-}
-
-multilib_src_install() {
-       VENDOR_DIR="/usr/$(get_libdir)/OpenCL/vendors/${PN}"
-
-       cmake-utils_src_install
-
-       insinto /etc/OpenCL/vendors/
-       echo "${VENDOR_DIR}/lib/${PN}/libcl.so" > "${PN}-${ABI}.icd" || die 
"Failed to generate ICD file"
-       doins "${PN}-${ABI}.icd"
-
-       dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libOpenCL.so.1
-       dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libOpenCL.so
-       dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libcl.so.1
-       dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libcl.so
-}

Reply via email to